Content Channel
Endpoints for Content Channel
ReferenceView as Markdown
Stay in the loop 🚀
Endpoints for Content Channel
GET/api/v1/content-channels
Authentication: Bearer token (JWT)
Returns all content channels
idnumberRequired when parent is presentnamestringRequired when parent is presentmaxLength: 1024descriptionstring[
{
"id": 0,
"name": "string",
"description": "string"
}
]unauthorized
This response has no body.
curlcurl https://api.subrite.no/api/v1/content-channels \
--header 'Authorization: Bearer <token>'GET/api/v1/content-channels/by-ip
Authentication: Bearer token (JWT)
ipstringRequiredReturns content channels reachable through products with matching IP ranges
array of ContentChannelDtoidnumberRequired when parent is presentnamestringRequired when parent is presentmaxLength: 1024descriptionstring[
{
"id": 0,
"name": "string",
"description": "string"
}
]unauthorized
This response has no body.
curlcurl 'https://api.subrite.no/api/v1/content-channels/by-ip?ip=203.0.113.42' \
--header 'Authorization: Bearer <token>'